Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il
Interface ServerILFactory

All Known Implementing Classes:
  HTTPServerILFactory, JVMServerILFactory, OIL2ServerILFactory, OILServerILFactory, UILServerILFactory

public interface ServerILFactory

This interface is used to define a factory to produce ServerIL objects. This is used by the client in the GenericConnectionFactory class. Implementations should provide a default constructor.

Version:
  $Revision: 1.4 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock (adrian@jboss.com)

Field Summary
`static String` | `CLIENT_IL_SERVICE_KEY` Constant used to identify the property that holds the ClientILService class name
`static String` | `CLIENTID` Constant used to identify the property that holds the client id
`static String` | `PING_PERIOD_KEY` Constant used to identify the property that holds time period between server pings.
`static String` | `SERVER_IL_FACTORY_KEY` Constant used to identify the property that holds the ServerILFactor class name

Method Summary
`ServerIL` | `getServerIL()`
`void` | `init(Properties props)`

Field Detail

### SERVER_IL_FACTORY_KEY

    public static final String SERVER_IL_FACTORY_KEY

  Constant used to identify the property that holds the ServerILFactor class name

  See Also:
    Constant Field Values

### CLIENT_IL_SERVICE_KEY

    public static final String CLIENT_IL_SERVICE_KEY

  Constant used to identify the property that holds the ClientILService class name

  See Also:
    Constant Field Values

### PING_PERIOD_KEY

    public static final String PING_PERIOD_KEY

  Constant used to identify the property that holds time period between server pings.

  See Also:
    Constant Field Values

### CLIENTID

    public static final String CLIENTID

  Constant used to identify the property that holds the client id

  See Also:
    Constant Field Values

Method Detail

### init

    public void init(Properties props)
              throws Exception

  Throws:
    `Exception`

### getServerIL

    public ServerIL getServerIL()
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.